## xdoclet.modules.wsee
Class WseeDocletTask.PackageNamespaceMapping

    java.lang.Object
      xdoclet.modules.wsee.WseeDocletTask.PackageNamespaceMapping

All Implemented Interfaces:
  Serializable

Enclosing class:
  WseeDocletTask

public static class WseeDocletTask.PackageNamespaceMapping
extends Object
implements Serializable

Inner class designed after package substitutions

See Also:
  Serialized Form
created
  23. Februar 2004

Constructor Summary
`WseeDocletTask.PackageNamespaceMapping()`

Method Summary
`String` `getNamespace()` Gets the SubstituteWith attribute of the PackageSubstitution object
`String` `getPackages()` Gets the Packages attribute of the PackageSubstitution object
`void` `setNamespace(String ns)` Sets the SubstituteWith attribute of the PackageSubstitution object
`void` `setPackages(String packages)` Sets the Packages attribute of the PackageSubstitution object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WseeDocletTask.PackageNamespaceMapping

    public WseeDocletTask.PackageNamespaceMapping()

Method Detail

### getPackages

    public String getPackages()

  Gets the Packages attribute of the PackageSubstitution object

  Returns:
    The Packages value

### getNamespace

    public String getNamespace()

  Gets the SubstituteWith attribute of the PackageSubstitution object

  Returns:
    The SubstituteWith value

### setPackages

    public void setPackages(String packages)

  Sets the Packages attribute of the PackageSubstitution object

  Parameters:
    `packages` - The new Packages value

### setNamespace

    public void setNamespace(String ns)

  Sets the SubstituteWith attribute of the PackageSubstitution object

  Parameters:
    `ns` -

http://xdoclet.sourceforge.net/